org.jbpm.workflow.core.node

## Class Join

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.node.Join

- All Implemented Interfaces:
    Serializable, Contextable, ContextResolver, org.kie.api.definition.process.Node

      public class Join
      extends NodeImpl

  Default implementation of a join.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_AND` The outgoing connection of a join of this type is triggered when all its incoming connections have been triggered.
    `static int` | `TYPE_DISCRIMINATOR` The outgoing connection of a join of this type is triggered when one of its incoming connections has been triggered.
    `static int` | `TYPE_N_OF_M` The outgoing connection of a join of this type is triggered when n of its incoming connections have been triggered.
    `static int` | `TYPE_OR`
    `static int` | `TYPE_UNDEFINED`
    `static int` | `TYPE_XOR` The outgoing connection of a join of this type is triggered when one of its incoming connections has been triggered.

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Join()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getN()`
    `int` | `getType()`
    `void` | `setN(String n)`
    `void` | `setType(int type)`
    `void` | `validateAddIncomingConnection(String type, org.kie.api.definition.process.Connection connection)`
    `void` | `validateAddOutgoingConnection(String type, org.kie.api.definition.process.Connection connection)`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, addIncomingConnection, addOutgoingConnection, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_UNDEFINED

          public static final int TYPE_UNDEFINED

      See Also:
        Constant Field Values

    - #### TYPE_AND

          public static final int TYPE_AND

      The outgoing connection of a join of this type is triggered when all its incoming connections have been triggered.
      See Also:
        Constant Field Values

    - #### TYPE_XOR

          public static final int TYPE_XOR

      The outgoing connection of a join of this type is triggered when one of its incoming connections has been triggered.
      See Also:
        Constant Field Values

    - #### TYPE_DISCRIMINATOR

          public static final int TYPE_DISCRIMINATOR

      The outgoing connection of a join of this type is triggered when one of its incoming connections has been triggered. It then waits until all other incoming connections have been triggered before allowing
      See Also:
        Constant Field Values

    - #### TYPE_N_OF_M

          public static final int TYPE_N_OF_M

      The outgoing connection of a join of this type is triggered when n of its incoming connections have been triggered.
      See Also:
        Constant Field Values

    - #### TYPE_OR

          public static final int TYPE_OR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Join

          public Join()

  - ### Method Detail

    - #### setType

          public void setType(int type)

    - #### getType

          public int getType()

    - #### setN

          public void setN(String n)

    - #### getN

          public String getN()

    - #### validateAddIncomingConnection

          public void validateAddIncomingConnection(String type,
                                                    org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddIncomingConnection` in class `NodeImpl`

    - #### validateAddOutgoingConnection

          public void validateAddOutgoingConnection(String type,
                                                    org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddOutgoingConnection` in class `NodeImpl`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.